---
# file: tasks/04-remove_groups.yml

- name: "04.1 - try to remove primary user group (ignore errors in case of group is not empty)"
  group:
    name: "{{ item.group }}"
    state: absent
  become: True
  ignore_errors: True
  when:
    - item.state is defined and item.state|string|lower == 'absent'
    - item.group is defined
  with_items:
    - "{{ manage_users_accounts }}"
  no_log: "{{ manage_users_hide_sensitive_userdata|bool }}"

- name: "04.2 - try to remove additional groups for user (ignore errors in case of group is not empty)"
  group:
    name: "{{ item[1] }}"
    state: absent
  become: True
  ignore_errors: True
  when:
    - item[0].state is defined and item[0].state|string|lower == 'absent'
  with_subelements:
    - "{{ manage_users_accounts | selectattr('groups', 'defined') | list }}"
    - groups
  no_log: "{{ manage_users_hide_sensitive_userdata|bool }}"

- name: "04.3 - make sure per-user group (group with the same name as user) was removed"
  group:
    name: "{{ item.name }}"
    state: absent
  become: True
  when:
    - item.state is defined and item.state|string|lower == 'absent'
  with_items:
    - "{{ manage_users_accounts }}"
  no_log: "{{ manage_users_hide_sensitive_userdata|bool }}"
